package com.ss.android.ugc.aweme.ml.api;

import X.7aR;
import X.C0716RRo;
import X.C0720RRs;
import com.bytedance.covode.number.Covode;

public abstract class SmartFeedLoadMoreService implements ISmartFeedLoadMoreService {
    public static final C0720RRs Companion = new C0720RRs((byte) 0);
    public static final boolean debug = 7aR.LIZ;

    public static final boolean getDebug() {
        return debug;
    }

    public static final ISmartFeedLoadMoreService instance() {
        return C0716RRo.LIZ;
    }

    static {
        Covode.recordClassIndex(92866);
    }
}
